import request from '@/utils/request';

//分页查询学校
export function querySchoolPage(params:any){
  return request({
    url: '/base/school/querySchoolPage' ,
    method: 'get',
    params: params
  });
}
//普检筛查学校分页查询
export function queryPlanSchoolPage(params:any){
  return request({
    url: '/base/school/queryPlanSchoolPage' ,
    method: 'get',
    params: params
  });
}



//查询学校列表
export function querySchoolList(params:any){
  return request({
    url: '/base/school/querySchoolList' ,
    method: 'get',
    params: params
  });
}

//查询学校列表
export function queryRegionSchool(params:any){
  return request({
    url: '/base/school/queryRegionSchool' ,
    method: 'get',
    params: params
  });
}



//新增学校
export function addSchool(data:any){
  return request({
    url:'/base/school/addSchool' ,
    method: 'post',
    data: data
  });
}
//修改学校
export function updateSchool(data:any){
  return request({
    url:'/base/school/updateSchool' ,
    method: 'post',
    data: data
  });
}
//删除学校
export function delSchool(queryParams:any){
  return request({
    url:'/base/school/delSchool' ,
    method: 'post',
    params: queryParams
  });
}

//导出学校
export function exportExcel(queryParams: any) {
  return request({
    url: '/base/school/exportExcel',
    method: 'get',
    params: queryParams,
    responseType: 'arraybuffer'
  });
}
//下载学生模版
export function downloadStudent(queryParams: any) {
  return request({
    url: '/base/school-student/exportSchoolStudent',
    method: 'post',
    params: queryParams,
    responseType: 'arraybuffer'
  });
}
//下载学校模版
export function downloadSchoolTemplate(queryParams: any) {
  return request({
    url: '/base/school/exportSchool',
    method: 'post',
    params: queryParams,
    responseType: 'arraybuffer'
  });
}
